Community
cancel
Showing results for 
Search instead for 
Did you mean: 
idata
Community Manager
622 Views

Compile Error---tensorflow.python.framework.errors_impl.InternalError: Unable to get element as byte

/usr/local/bin/ncsdk/Controllers/Parsers/TensorFlowParser/Convolution.py:44: SyntaxWarning: assertion is always true, perhaps remove parentheses?

 

assert(False, "Layer type not supported by Convolution: " + obj.type)

 

mvNCCompile v02.00, Copyright @ Intel Corporation 2017

 

shape: (1,)

 

Traceback (most recent call last):

 

File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1278, in _do_call

 

return fn(*args)

 

File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1263, in _run_fn

 

options, feed_dict, fetch_list, target_list, run_metadata)

 

File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1350, in _call_tf_sessionrun

 

run_metadata)

 

tensorflow.python.framework.errors_impl.InternalError: Unable to get element as bytes.

 

During handling of the above exception, another exception occurred:

 

Traceback (most recent call last):

 

File "/usr/local/bin/mvNCCompile", line 169, in

 

create_graph(args.network, args.image, args.inputnode, args.outputnode, args.outfile, args.nshaves, args.inputsize, args.weights, args.explicit_concat, args.ma2480, args.scheduler, args.new_parser, args)

 

File "/usr/local/bin/mvNCCompile", line 148, in create_graph

 

load_ret = load_network(args, parser, myriad_config)

 

File "/usr/local/bin/ncsdk/Controllers/Scheduler.py", line 100, in load_network

 

parse_ret = parse_tensor(arguments, myriad_conf)

 

File "/usr/local/bin/ncsdk/Controllers/TensorFlowParser.py", line 294, in parse_tensor

 

res = outputTensor.eval(feed_dict)

 

File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/framework/ops.py", line 680, in eval

 

return _eval_using_default_session(self, feed_dict, self.graph, session)

 

File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/framework/ops.py", line 4951, in _eval_using_default_session

 

return session.run(tensors, feed_dict)

 

File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 877, in run

 

run_metadata_ptr)

 

File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1100, in _run

 

feed_dict_tensor, options, run_metadata)

 

File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1272, in _do_run

 

run_metadata)

 

File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1291, in _do_call

 

raise type(e)(node_def, op, message)

 

tensorflow.python.framework.errors_impl.InternalError: Unable to get element as bytes.

 

I use the default /tensorflow/inception-v1 , I can compile graph success

 

but I still use the inception-v1 interface and use the data of myself , then the errors comes

 

thanks a lot
Tags (1)
0 Kudos
3 Replies
idata
Community Manager
165 Views

@GrantTeng It looks like you're having issues compiling the graph file here, but you said you were able to compile the graph file? Can you try running make run and see if the python script for inception_v1 executes?

 

Just to be clear, are you using a custom inception _v1 model that is trained with your own data? If so, can you provide the model so that I can reproduce this issue on my machine also? Thanks.

idata
Community Manager
165 Views

Thanks a lot ,I have found the bugs,the input dimensions is not right.

idata
Community Manager
165 Views

@GrantTeng I'm glad you were able to figure it out.